import Stripe from "stripe";
import { SelectedPricing, Product, PricingFilter, UseProductsOptions, BillingOptions } from "@types";
interface ReturnProps {
    isLoading: boolean;
    products: Product[];
    pricingFilter: PricingFilter;
    activeSubscriptions: Stripe.Subscription[];
}
declare const _default: (productIds: string[], options?: UseProductsOptions) => ReturnProps;
export default _default;
export declare const getSelectedPricing: ({ activeSubscriptions, billingOptions, dispatch, product, pricingFilter, quantity, options, subscriptions, isPaymentButtonLoading }: {
    activeSubscriptions: Stripe.Subscription[];
    billingOptions?: BillingOptions | undefined;
    dispatch: (any: any) => void;
    product: Product;
    pricingFilter: PricingFilter;
    quantity?: number | undefined;
    options?: UseProductsOptions | undefined;
    subscriptions?: Stripe.Subscription[] | undefined;
    isPaymentButtonLoading?: boolean | undefined;
}) => SelectedPricing;
