import { User } from "@types";
declare type SignInProps = {
    email: string;
    hamc: string;
};
interface ReturnProps {
    user: User | null;
    isLoading: boolean;
    error: string | null;
    signIn: (param?: SignInProps) => Promise<void>;
    signOut: () => void;
    refreshSession: () => {
        user: {
            email: any;
            stripeCustomer: any;
        } | null;
        tokenExpired: boolean;
    };
    sendSignInLinkToEmail: ({ email, redirectUrl }: {
        email: string;
        redirectUrl?: string;
    }) => Promise<void>;
}
declare const _default: () => ReturnProps;
export default _default;
export declare const getUserSessionFromCookie: () => {
    user: null;
    tokenExpired: boolean;
} | {
    user: {
        email: any;
        stripeCustomer: any;
    };
    tokenExpired: boolean;
};
export declare const getCookie: (cname: any) => string;
