import { Price } from "../";
import { IntervalType, NormalizedIntervalType } from "@types";
import Stripe from "stripe";
export declare const getCurrency: (currencyCodes: any) => any;
export declare const normalizePrice: ({ price, normalizedInterval, interval, interval_count }: {
    price: number;
    normalizedInterval: NormalizedIntervalType | null;
    interval: Stripe.Price.Recurring.Interval | IntervalType | null;
    interval_count: number;
}) => number;
export declare const getPrice: ({ price, currencyCode, interval, interval_count, normalizedInterval, financialFormat }: {
    price: number;
    currencyCode?: string | undefined;
    interval?: Stripe.Price.Recurring.Interval | IntervalType | null | undefined;
    interval_count?: number | undefined;
    normalizedInterval?: NormalizedIntervalType | null | undefined;
    financialFormat?: boolean | undefined;
}) => {
    billedPrice: string;
    currency: any;
    priceInteger: number;
    priceFormatted: string;
    priceDecimal: number;
    price: string;
};
export declare const getInterval: (props: any) => any;
export declare const getDate: (timestamp: any) => string;
export declare const getDaysUntil: (timestamp: any) => string;
export declare const computeDiscountedPrice: (total: number | undefined, coupon: Stripe.Coupon | null | undefined) => number;
export declare const computePricing: ({ price: { billing_scheme, transform_quantity, unit_amount, tiers_mode, tiers }, quantity }: {
    price: Price;
    quantity?: number | undefined;
}) => number;
